Subject: Re: bug#18958: 25.0.50; auto-revert-mode reacts slowly even if using an event-driven backend

From: Michael Albinus <[email-masked]>
Date: Tue, 24 Feb 2015 09:42:18 +0100

Dima Kogan <[email-masked]> writes:

>> I meant gfilenotify is superior to inotify wrt file notifications due to
>> its polling feature. That does not mean auto-revert, since Emacs has its
>> own polling mechanism here.
>
> Ah, ok. This is true. Would you be opposed to setting the default to
> "inotify" on Linux since this currently provides a better user
> experience there?

I believe this was discussed already back in 2013, when I've contributed
gfilenotify.c. I cannot find the emails, likely there's something in the
archives.

What's the default must be decided by Stefan anyway, as the Emacs
maintainer. Personally, I can live with this 1sec delay of glib. And
glib is linked to Emacs also for other reasons, if not configured off.

Maybe it's better to discuss this on emacs-devel, but in this bug.

Best regards, Michael.